package com.foreverwin.mesnac.anomaly.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.foreverwin.mesnac.anomaly.dto.PartsManufacturing;
import com.foreverwin.mesnac.anomaly.mapper.ReportMapper;
import com.foreverwin.mesnac.anomaly.service.ReportService;
import com.foreverwin.mesnac.integration.model.IntegrationLog;
import com.foreverwin.modular.core.util.CommonMethods;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-08-23
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ReportServiceImpl implements ReportService {

    @Autowired
    private ReportMapper reportMapper;

    /**
     * 接口日志表
     * @param integration
     * @return
     */
    @Override
    public List<Map<String,Object>> findIntegrationLog(IntegrationLog integration) {
        String site = CommonMethods.getSite();
        integration.setSite(site);
        return reportMapper.findIntegrationLog(integration);
    }

    /**
     * 零件加工报表
     * @param partsManufacturing
     * @return
     */
    @Override
    public  List<Map<String, Object>> partsManufacturing(PartsManufacturing partsManufacturing) {
        String site = CommonMethods.getSite();
        String locale = LocaleContextHolder.getLocale().getLanguage();
        return reportMapper.partsManufacturing(site,locale,partsManufacturing);
    }

    @Override
    public List<Map<String, Object>> surplusReturnTable(String item, String itemDescription) {
        String locale = LocaleContextHolder.getLocale().getLanguage();
        String site = CommonMethods.getSite();
        return reportMapper.surplusReturnTable(site,locale,item,itemDescription);
    }

    @Override
    public List<Map<String, Object>> findInspectionTask(Map paramMap) {
        return reportMapper.findInspectionTask(paramMap);
    }
}
